import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => '.layui-timeline{padding-left:5px}.layui-timeline-item{position:relative;padding-bottom:20px}.layui-timeline-axis{position:absolute;left:-5px;top:0;z-index:10;width:20px;height:20px;line-height:20px;background-color:#fff;color:var(--global-checked-color);border-radius:50%;text-align:center;cursor:pointer}.layui-timeline-axis:hover{color:#ff5722}.layui-timeline-item:before{content:"";position:absolute;left:5px;top:0;z-index:0;width:1px;height:100%}.layui-timeline-item:first-child:before{display:block}.layui-timeline-item:last-child:before{display:none}.layui-timeline-content{padding-left:25px}.layui-timeline-title{position:relative;margin-bottom:10px;line-height:22px}.layui-timeline-item:before{background-color:#eee}.layui-timeline-horizontal .layui-timeline-item{display:inline-block;width:25%;text-align:center;padding-top:10px;vertical-align:top}.layui-timeline-horizontal .layui-timeline-axis{left:47%;top:-4px}.layui-timeline-horizontal .layui-timeline-item:before{left:0px;top:5px;width:100%;height:1px}.layui-timeline-horizontal .layui-timeline-item:first-child:before{display:block}.layui-timeline-horizontal .layui-timeline-item:last-child:before{display:block}.layui-timeline-horizontal .layui-timeline-content{padding:15px}.layui-timeline-horizontal .layui-timeline-title{text-align:center;position:relative;margin-bottom:10px;line-height:22px}\n')();
const __default__ = {
  name: "LayTimeline"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    direction: { default: "vertical" }
  },
  setup(__props) {
    const props = __props;
    const timeLineClass = computed(() => [
      "layui-timeline",
      props.direction === "horizontal" ? "layui-timeline-horizontal" : ""
    ]);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("ul", {
        class: normalizeClass(unref(timeLineClass))
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
